# 32/64bit spec-file
#
%define major 0
%define libname %mklibname mpg123_ %major
%define develname %mklibname -d mpg123

Summary:	MPEG audio player
Name:		mpg123
Version:	1.25.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound
URL:		http://www.mpg123.de
Source0:	http://prdownloads.sourceforge.net/mpg123/mpg123-%version.tar.xz
Source1:	mp3license.tar.bz2
#-------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}audiofile-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}nas2-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}portaudio-devel
BuildRequires: %{_lib}pulseaudio-devel
#-------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: openal
Requires: %{_lib}openal1
Obsoletes: %{name} < %version


%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package pulse
Group: Sound
Summary: Pulse audio output plugin for mpg123
Requires: %name = %version

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package jack
Group: Sound
Summary: Jack audio output plugin for mpg123
Requires: %name = %version

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org


%package portaudio
Group: Sound
Summary: Portaudio output plugin for mpg123
Requires: %name = %version

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package nas
Group: Sound
Summary: NAS audio output plugin for mpg123
Requires: %name = %version

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package sdl
Group: Sound
Summary: SDL audio output plugin for mpg123
Requires: %name = %version

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package esd
Group: Sound
Summary:Esound audio output plugin for mpg123
Requires: %name = %version

%description esd
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package openal
Group: Sound
Summary:OpenAL audio output plugin for mpg123
Requires: %name = %version

%description openal
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %libname
Group:System/Libraries
Summary: MPEG audio decoding library

%description -n %libname
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %develname
Group: Development/Libraries
Summary: MPEG audio decoding library - development files
Requires: %libname = %version
Provides: libmpg123-devel = %version-%release
Obsoletes: mpg123-devel
Provides: mpg123-devel = %version-%release

%description -n %develname
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%prep

%setup -q -n %name-%version -a 1
rm -f doc//README.WIN32

%build
rm -f configure
libtoolize --force --copy; aclocal; autoheader; automake --add-missing --copy; autoconf

%define Werror_cflags %nil
%configure2_5x \
    --with-default-audio=alsa \
    --enable-ipv6=yes \
    --enable-network=yes

%make CFLAGS="%optflags -Wformat -Werror=format-security"

%install
rm -rf %{buildroot}
%makeinstall_std

#drop this
rm -f %{buildroot}/%_libdir/*.la


%clean
rm -r %{buildroot}

%files 
%defattr(-,root,root)
%doc doc/* NEWS README AUTHORS ChangeLog
%doc mp3license
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %_libdir/%name
%_libdir/%name/output_alsa*
%_libdir/%name/output_dummy*
%_libdir/%name/output_oss*


%files pulse
%defattr(-,root,root)
%_libdir/%name/output_pulse*

%files jack
%defattr(-,root,root)
%_libdir/%name/output_jack*

%files nas
%defattr(-,root,root)
%_libdir/%name/output_nas*

%files portaudio
%defattr(-,root,root)
%_libdir/%name/output_portaudio*

%files sdl
%defattr(-,root,root)
%_libdir/%name/output_sdl*

%files esd
%defattr(-,root,root)
%_libdir/%name/output_esd*

%files openal
%defattr(-,root,root)
%_libdir/%name/output_openal*


%files -n %libname
%defattr(-,root,root)
%_libdir/libmpg123.so.%{major}*
%_libdir/libout123.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libmpg123.so
%_libdir/libout123.so
%_includedir/mpg123.h
%_includedir/fmt123.h
%_includedir/out123.h
%_libdir/pkgconfig/libmpg123.pc
%_libdir/pkgconfig/libout123.pc


%changelog
* Sun Sep 17 2017 threepio <threepio> 1.25.4-1uplos2016
- rebuild,update

* Tue Nov 22 2016 adrianomorselli <adrianomorselli> 1.23.5-1uplos2016
- rebuild

* Thu Jun 30 2016 bb <bb. 1.23.5-1pclos2016
- update

* Mon Jan 04 2016 bb <bb> 1.22.4-1pclos2016
- update

* Sat May 31 2014 bb <bb> 1.20.0-1pclos2014
- update

* Mon Feb 17 2014 bb <bb> 1.18.1-1pclos2014
- update

